/*global $, progress, alert, console */
$(function () {
    "use strict";
    var jsdosession,

/*
        resourceName = "Customer",
        serviceURI = "http://oemobiledemo.progress.com/DynamicService",
        catalogPath = "/web/DynamicService/catalog/Customer",
*/

/*
        resourceName = "Salesrep",
        serviceURI = "http://oemobiledemo.progress.com/DynamicService",
        catalogPath = "/web/DynamicService/catalog/Salesrep",		
*/
		
		resourceName = "Customer",
        serviceURI = "http://localhost:8810/WebApp",
        catalogPath = "/web/GenericService/catalog/Customer",

/*
		resourceName = "Customer",
        serviceURI = "http://localhost:8810/WebApp",
        catalogPath = "/web/GenericService/catalog/Customer",        
*/
        
		jsdoSettings = {
            serviceURI: serviceURI,
            catalogURIs: serviceURI + catalogPath
        },
        promise;
    
    function createGrid() {
        var columns = [],
            jsdo = new progress.data.JSDO(resourceName),
            schema = jsdo.getSchema(),
            i,
            field;
        
        for (i = 0; i < (schema.length > 5 ? 5 : schema.length); i += 1) {
            if (schema[i].type !== "array") {
                field = schema[i];
                columns.push({
                    field: field.name
                });
            }
        }
        
        /*
        columns.push({
            command: [ 'edit', 'destroy'],
            title: '&nbsp;',
            width: '250px'
        });
        */
        
        $('#grid').kendoGrid({
            // define transports as the class functions
            dataSource: {
                type: "jsdo",
                transport: {
                    jsdo: resourceName
                },
                error: function (e) {
                    alert("DEBUG: error: " + e.message);
                }
            },
            height: 400,
            //filterable: true,
            groupable: true,
            reorderable: true,
            resizable: true,
            sortable: true,
            pageable: {
                refresh: true,
                pageSizes: true,
                pageSize: 10,
                buttonCount: 5
            },
            editable: 'inline',
            toolbar: ['create'],
            columns: columns
        });
    }

    try {
        // create a new session object
        jsdosession = new progress.data.JSDOSession(jsdoSettings);
        promise = jsdosession.login("", "");

        promise.done(function (jsdosession, result, info) {
            jsdosession.addCatalog(jsdoSettings.catalogURIs)
                .done(function (jsdosession, result, details) {
                    createGrid();
                })
                .fail(function (jsdosession, result, details) {
                    alert("Error while executing addCatalog(). " + details[0].errorObject);
                });
        });
        promise.fail(function (jsdosession, result, info) {
            alert("Error while executing login().");
        });
    } catch (e) {
        alert("Error instantiating objects: " + e);
    }

});
